Zum Hauptinhalt springen
GET
/
report
/
telephonyAgent
/
{agentId}
Get telephony agent details
curl --request GET \
  --url https://demo.enneo.ai/api/mind/report/telephonyAgent/{agentId} \
  --header 'Authorization: Bearer <token>'
{
  "id": 3,
  "name": "Dennis Sommer",
  "callRoutingStatus": "idle",
  "teamIds": [
    1,
    2
  ],
  "channels": [
    "phone",
    "chat"
  ],
  "liveOverview": {
    "callsToday": 13,
    "talkTimeSeconds": 1934,
    "acwTimeSeconds": 767,
    "missed": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.enneo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

JWT-based authentication

Pfadparameter

agentId
integer
erforderlich

The ID of the telephony agent (user)

Antwort

Successful operation

id
integer

Agent ID

Beispiel:

3

name
string

Agent name

Beispiel:

"Dennis Sommer"

callRoutingStatus
enum<string>

Current telephony routing status

Verfügbare Optionen:
idle,
interacting,
beingConnected,
notResponding,
unavailable,
offline,
acw
Beispiel:

"idle"

teamIds
integer[]

Array of team IDs the agent belongs to

Beispiel:
[1, 2]
channels
enum<string>[]

Array of channels the agent is skilled to handle

Verfügbare Optionen:
email,
portal,
phone,
system,
chat,
walkIn,
letter
Beispiel:
["phone", "chat"]
liveOverview
object

Real-time statistics for this agent today